Bug 599663 - wallaby-dump produces file with empty subsystems
Summary: wallaby-dump produces file with empty subsystems
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby   
(Show other bugs)
Version: Development
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.3
: ---
Assignee: Will Benton
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-03 17:35 UTC by Robert Rati
Modified: 2010-10-20 11:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 11:28:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Rati 2010-06-03 17:35:58 UTC
Description of problem:
A dump of the DB loaded with the default db produces features like:
- !ruby/object:Mrg::Grid::SerializedConfigs::Feature
  conflicts: []

  depends: []

  included:
  - ExecuteNode
  name: DynamicSlots
  params:
    SLOT_TYPE_1_PARTITIONABLE: "TRUE"
    SLOT_TYPE_1: cpus=100%,disk=100%,swap=100%
    NUM_SLOTS: "1"
    NUM_SLOTS_TYPE_1: "1"
  subsystems: !ruby/object:Set
    hash: {}

In all features, subsystems is an empty hash.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Will Benton 2010-06-03 22:26:59 UTC
These are explicit subsystem sets; we've removed this capability, but they're in the file so that the format will be compatible with older dumps.  I'm working out how to safely remove them from the dump format.

Comment 2 Will Benton 2010-06-03 22:55:54 UTC
Fixed upstream.

Comment 3 Lubos Trilety 2010-07-21 09:51:40 UTC
Tested with (version):
ruby-wallaby-0.6.1-2
wallaby-0.6.1-2
wallaby-utils-0.6.1-2

Tested on:
RHEL5 x86_64  - passed
RHEL5 i386    - passed

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.